Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ManagedDoubleKeyMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap
              org.codehaus.groovy.util.ManagedDoubleKeyMap

    public class ManagedDoubleKeyMap
    extends AbstractConcurrentDoubleKeyMap

Nested Class Summary
`static class` | `ManagedDoubleKeyMap.Entry`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ManagedDoubleKeyMap(ReferenceBundle bundle)`

Method Summary
`protected def` | `createSegment(Object segmentInfo, int cap)`

Methods inherited from class AbstractConcurrentDoubleKeyMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ManagedDoubleKeyMap

    public ManagedDoubleKeyMap(ReferenceBundle bundle)

Method Detail

### createSegment

    protected def createSegment(Object segmentInfo, int cap)

Copyright © 2003-2010 The Codehaus. All rights reserved.